Bug 202908 - Review Request: perl-POE-Component-Server-XMLRPC - Publish POE event handlers via XMLRPC over HTTP
Review Request: perl-POE-Component-Server-XMLRPC - Publish POE event handlers...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/POE-Compo...
:
Depends On: 202905
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-16 19:58 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-18 12:05:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-08-16 19:58:17 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-POE-Component-Server-XMLRPC-0.05-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-POE-Component-Server-XMLRPC.spec

Description:
POE::Component::Server::XMLRPC is a bolt-on component that can publish a
event handlers via XMLRPC over HTTP.
Comment 1 Jason Tibbitts 2006-08-18 11:00:35 EDT
You might want to take out that commented "BR: perl(" line, but other than that
it's another clean cpanspec-generated package.

* source files match upstream:
   263fd98df07331d64be5beb75b07835a  POE-Component-Server-XMLRPC-0.05.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(POE::Component::Server::XMLRPC) = 0.05
   perl(XMLRPCTransaction)
   perl-POE-Component-Server-XMLRPC = 0.05-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(POE)
   perl(POE::Component::Server::HTTP)
   perl(XMLRPC::Lite)
   perl(strict)
   perl(vars)
   perl(warnings)
* %check is present and the single test passes:
   All tests successful.
   Files=1, Tests=1,  0 wallclock secs ( 0.13 cusr +  0.04 csys =  0.17 CPU)
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.

APPROVED
Comment 2 Chris Weyl 2006-08-18 12:05:00 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-5)
+Close bug

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.